org.eclipse.gmt.modisco.infra.query.core.exception

## Class BundleClassPathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.gmt.modisco.infra.query.core.exception.ModelQueryException
      - - org.eclipse.gmt.modisco.infra.query.core.exception.BundleClassPathException

All Implemented Interfaces:
  java.io.Serializable

Deprecated.
replaced by EMF Facet, cf. https://bugs.eclipse.org/bugs/show_bug.cgi?id=470578

    @Deprecated
    public class BundleClassPathException
    extends ModelQueryException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BundleClassPathException(IProject project, IPath outputLocation, Bundle localBundle)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Bundle` `getBundle()` Deprecated.
`IPath` `getOutputLocation()` Deprecated.
`IProject` `getProject()` Deprecated.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BundleClassPathException

    public BundleClassPathException(IProject project,
                                    IPath outputLocation,
                                    Bundle localBundle)

Deprecated.

### Method Detail

#### getProject

    public IProject getProject()

Deprecated.

#### getBundle

    public Bundle getBundle()

Deprecated.

#### getOutputLocation

    public IPath getOutputLocation()

Deprecated.